package progOpt;

import java.text.DecimalFormat;

public class TimeLogger
{
	public static TimeLogger log = new TimeLogger();

	public static DecimalFormat timeFormatter = new DecimalFormat("0.00#");

	private static String getString(final String s)
	{
		final double d = (System.currentTimeMillis() - TimeLogger.log.timeStamp) / 1000d;
		return s + " (" + TimeLogger.timeFormatter.format(d) + "s)\n";
	}

	public static void println(final String s)
	{
		System.out.print(TimeLogger.log.stack.toString());
		TimeLogger.log.stack = new StringBuilder();
		System.out.print(TimeLogger.getString(s));
		System.out.flush();
	}

	public static void pushToStack(final String string)
	{
		TimeLogger.log.stack.append(TimeLogger.getString(string));
	}

	public static void reset()
	{
		TimeLogger.log.timeStamp = System.currentTimeMillis();
		TimeLogger.log.stack = new StringBuilder();
	}

	private StringBuilder stack = new StringBuilder();

	private long timeStamp = System.currentTimeMillis();

	private TimeLogger()
	{

	}
}