package progOpt;

import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.io.LineNumberReader;

public class TestUpperbounds
{
	public static void main(final String[] args) throws IOException
	{
		// UpperBound.printUpperBoundInHeuristicsSize = true;
		// UpperBound.printRealizerParams = 4;
		// GraphRealizer.log=10;

		final LineNumberReader reader = new LineNumberReader(new FileReader(new File("/home/sepphar/localRepos/kAnon/instances-all_multK.txt")));
		String s;
		while ((s = reader.readLine()) != null)
		{
			final int k = ComputeFeatureSetFile.parseKValueFromFileString(s);
			// || s.contains("graph_n_3_t_00400") || s.contains("coPapersDBLP") (s.contains("soc-Epinions1")
			// if ((k > 199) && s.contains("facebook_combined"))
			{
				System.out.println("s_fast==============");
				final String timeBound = "60";
				MainFastUpperBoundHeuristic.main(new String[] { s, timeBound, timeBound, timeBound, timeBound });
				System.out.println("t==============");
				System.out.flush();
				System.err.flush();
				System.out.println("s_sophisticated==============");
				MainSophisticatedUpperBoundHeuristic.main(new String[] { s, timeBound, timeBound, timeBound, timeBound });
				System.out.println("t==============");
				System.out.println("s_more sophisticated==============");
				MainMoreSophisticatedUpperBoundHeuristic.main(new String[] { s, timeBound, timeBound, timeBound, timeBound });
				System.out.println("t==============");
			}
		}
		reader.close();
	}
}
